"""Package Manager."""

from abc import ABC, abstractmethod

from rwx.ps import Command


class PM(ABC):
    """Package Manager."""

    def __init__(self) -> None:
        """Set commands."""
        self.install = self.get_install_command()

    @abstractmethod
    def get_install_command(self) -> Command:
        """Command to install package(s)."""
